val.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

SetValBranch | Gecode::SET_VAL_MIN_INC (void)
| Include smallest element.
SetValBranch | Gecode::SET_VAL_MIN_EXC (void)
| Exclude smallest element.
SetValBranch | Gecode::SET_VAL_MED_INC (void)
| Include median element (rounding downwards).
SetValBranch | Gecode::SET_VAL_MED_EXC (void)
| Exclude median element (rounding downwards).
SetValBranch | Gecode::SET_VAL_MAX_INC (void)
| Include largest element.
SetValBranch | Gecode::SET_VAL_MAX_EXC (void)
| Exclude largest element.
SetValBranch | Gecode::SET_VAL_RND_INC (Rnd r)
| Include random element.
SetValBranch | Gecode::SET_VAL_RND_EXC (Rnd r)
| Exclude random element.
SetValBranch | Gecode::SET_VAL (SetBranchVal v, SetBranchCommit c=nullptr)
| Select value as defined by the value function v and commit function c.